#version 330
#extension GL_ARB_separate_shader_objects : enable





layout(location = 0) smooth in vec3 _fin_fragColor;

struct SFragmentInput
{
	vec3 fragColor;
	bool IsFrontFace;
};

layout(location = 0) out vec4 _fout_outColor;

struct SFragmentOutput
{
	vec4 outColor;
};




void FragmentMain( in SFragmentInput  fInput,  out SFragmentOutput  fOutput  )
{
	fOutput.outColor = vec4(fInput.fragColor, 1);
}


void main()
{
	SFragmentInput fInput;
	SFragmentOutput fOutput;

	fInput.fragColor = _fin_fragColor;
	fInput.IsFrontFace = gl_FrontFacing;
	FragmentMain(fInput, fOutput);
	_fout_outColor = fOutput.outColor;
}
